%global           pypi_name cppy

Name:             python-cppy
Version:          1.2.1
Release:          %mkrel 1
Summary:          A C++ header library for Python extension modules
License:          BSD
Group:            Development/Python
URL:              https://pypi.org/project/cppy/
Source0:          https://github.com/nucleic/cppy/release/%{pypi_name}-%{version}.tar.gz
Patch0:           cppy-1.2.1-setup.patch

BuildArch:        noarch

%description
A small C++ header library which makes it easier to write Python
extension modules. The primary feature is a PyObject smart pointer
which automatically handles reference counting and provides
convenience methods for performing common object operations.

%package -n python3-%{pypi_name}
Summary:        Python3 implementation of Cppy
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{summary}.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}/*




%changelog
* Thu May 05 2022 eatdirt <eatdirt> 1.2.1-1.mga9
+ Revision: 1856428
- Upgrade to version 1.2.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 1.1.0-3.mga9
+ Revision: 1773979
- fix filelist
- rebuild for python 3.10

* Mon Mar 15 2021 wally <wally> 1.1.0-2.mga9
+ Revision: 1703568
- rebuild for python 3.9

* Sat Jul 11 2020 eatdirt <eatdirt> 1.1.0-1.mga8
+ Revision: 1605172
- imported package python-cppy

